## org.hibernate.transaction.synchronization
Interface BeforeCompletionManagedFlushChecker

    public interface BeforeCompletionManagedFlushChecker

Contract for checking whether to perform a managed flush in a `Synchronization.beforeCompletion()` callback

Author:
  Steve Ebersole

Method Summary
`boolean` `shouldDoManagedFlush(TransactionFactory.Context ctx, Transaction jtaTransaction)` Check whether we should perform the managed flush

Method Detail

### shouldDoManagedFlush

    boolean shouldDoManagedFlush(TransactionFactory.Context ctx,
                                 Transaction jtaTransaction)
                                 throws SystemException

  Check whether we should perform the managed flush

  Parameters:
    `ctx` - The Hibernate "transaction context"
    `jtaTransaction` - The JTA transaction
  Returns:
    True to indicate to perform the managed flush; false otherwise.
  Throws:
    `SystemException` - Can be thrown while accessing the JTA transaction; will result in transaction being marked for rollback (best effort).

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.